module.exports = (grunt) ->
  grunt.initConfig
    paths:
      css: 'htdocs/css/'
      cssdist: 'htdocs/dist/css/'
      img: 'htdocs/img/'
      imgdist: 'htdocs/dist/img/'

    autoprefixer:
      options:
        browsers: ['last 2 version']

      files:
        expand: true
        flatten: true
        src: '<%= paths.css %>*.css'
        dest: '<%= paths.cssdist %>pre/'

    cssmin:
      compress:
        files:
          '<%= paths.cssdist %>style.min.css': ['<%= paths.cssdist %>pre/*.css']

    imagemin:
      dynamic:
        files: [
          expand: true
          cwd: '<%= paths.img %>'
          src: '**/*.{jpg,gif}'
          dest: '<%= paths.imgdist %>'
        ]

    pngmin:
      compile:
        options:
          ext: '.png'

        files: [
          expand: true
          cwd: '<%= paths.img %>'
          src: '**/*.png'
          dest: '<%= paths.imgdist %>'
        ]

    watch:
      css:
        files: ['<%= paths.css %>*.css']
        tasks: ['autoprefixer', 'cssmin']

      img:
        files: ['<%= paths.img %>**/*.{png,jpg,gif}']
        tasks: ['imagemin', 'pngmin']

  grunt.loadNpmTasks 'grunt-autoprefixer'
  grunt.loadNpmTasks 'grunt-contrib-cssmin'
  grunt.loadNpmTasks 'grunt-contrib-watch'
  grunt.loadNpmTasks 'grunt-contrib-imagemin'
  grunt.loadNpmTasks 'grunt-pngmin'
  grunt.registerTask 'default', ['autoprefixer', 'cssmin', 'imagemin', 'pngmin']